.m-switch.m-switch--success:not(.m-switch--outline) input:empty ~ span:before{
    background-color: #dd4536;
    color: #fff;
}

.m-switch.m-switch--success:not(.m-switch--outline) input:checked ~ span:before{
    background-color: #00d600;
}

#progressbar {
    margin-top: 30px;
    margin-bottom: 20px;
    overflow: hidden;
    color: lightgrey;
    padding-left: 0;
}

#progressbar .active {
    color: #5982c2;
}

#kt_header, #kt_aside {
    filter: blur(5px);
}

#progressbar li {
    list-style-type: none;
    font-size: 13px;
    width: 20%;
    float: left;
    position: relative;
    font-weight: 400;
    z-index: 1;
    text-align: center;
}

.progress-step-item:before {
    font-family: FontAwesome;
    content: attr(data-before);
}

.step-click:before{
    cursor: pointer;
}

.m-portlet .bdrs4px2 .m-portlet__head {
    border:0 !important;
}
#progressbar li:before {
    width: 30px;
    height: 30px;
    line-height: 27px;
    display: block;
    font-size: 15px;
    color: #ffffff;
    background: lightgray;
    border-radius: 50%;
    margin: 0 auto 10px auto;
    padding: 2px;
    font-weight: 700 !important;
}

#progressbar li:after {
    content: '';
    width: 100%;
    height: 2px;
    background: lightgray;
    position: absolute;
    left: 0;
    top: 15px;
    z-index: -1
}

#progressbar li.active:before,
#progressbar li.active:after {
    background: #5982c2
}

#progressbar li.done:before,
#progressbar li.done:after {
    background: #12c112
}

.done{
    color:#12c112;
}

.progress {
    height: 20px
}

.progress-bar {
    background-color: #5982c2
}

.fit-image {
    width: 100%;
    object-fit: cover
}

@media (max-width: 767px) {
    #progressbar li {
        font-size: 8px;
    }
    #progressbar li:before {
        width: 30px;
        height: 30px;
        line-height: 25px;
        display: block;
        font-size: 15px;
    }
    #progressbar li:after {
        top: 15px;
    }
}


#email-providers .provider-item {
    /*min-width: 180px;*/
    min-width: 100%;
    background: transparent;
    color: #00b8ff;
    font-size: 13px;
    border: 1px solid #ebedf2;
    transition: all .3s ease-in;
    border-radius: 4px;
}
#email-providers .provider-item:hover {
    color: #97eaff;
    border: 1px solid #97eaff; }

#email-providers pre.preboxstyle {
    background: #fff;
    margin: 0 0 12px;
    padding: 8px 12px;
    border: 1px solid #ededed; }

.form-group-label {
    margin-bottom: 25px;
    position: relative;
    overflow: hidden; }

.custom-input-field {
    width: 100%;
    height: 40px;
    padding: 10px 10px 10px 130px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    color: #333;
    border-radius: 3px;
    transition: all 0.3s cubic-bezier(1, 0.1, 0, 0.9); }

textarea {
    height: auto;
    min-height: 200px;
    padding: 50px 10px 10px 10px; }

input[type="text"] + label, input[type="email"] + label, input[type="password"] + label, textarea + label {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    height: 40px;
    line-height: 40px;
    font-size: 12px;
    font-weight: bold;
    width: 120px;
    text-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
    text-align: center;
    text-transform: uppercase;
    letter-spacing: .05em;
    color: white;
    background: #0288D1;
    border-radius: 3px 0 0 3px;
    transition: all 0.3s cubic-bezier(1, 0.1, 0, 0.9);
    transform: translateZ(0) translateX(0);
}

textarea + label {
    width: 100%;
    border-radius: 3px 3px 0 0; }

input[type="text"]:focus, input[type="email"]:focus, input[type="password"]:focus {
    padding-left: 10px; }

textarea:focus {
    padding-top: 10px; }

input[type="text"]:focus + label, input[type="email"]:focus + label, input[type="password"]:focus + label {
    transform: translateZ(0) translateX(-100%); }

textarea:focus + label {
    transform: translateZ(0) translateY(-100%); }

input[type="checkbox"], input[type="radio"] {
    position: absolute;
    overflow: hidden;
    clip: rect(0 0 0 0);
    height: 1px;
    width: 1px;
    margin: -1px;
    padding: 0; }

input[type="radio"] + label {
    position: relative;
    display: inline-block;
    overflow: hidden;
    text-indent: -9999px;
    background: #ccc;
    width: 30px;
    height: 30px;
    border-radius: 100%;
    cursor: pointer;
    transition: all 0.3s cubic-bezier(1, 0.1, 0, 0.9); }
input[type="radio"] + label:before {
    content: '';
    position: absolute;
    display: block;
    height: 10px;
    width: 10px;
    top: 50%;
    left: 50%;
    background: white;
    border-radius: 100%;
    box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.1);
    transition: all 0.3s cubic-bezier(1, 0.1, 0, 0.9) 0.1s;
    transform: translateZ(0) translate(-50%, -50%) scale(0); }

input[type="radio"]:checked + label {
    background: #0288D1; }
input[type="radio"]:checked + label:before {
    transform: translateZ(0) translate(-50%, -50%) scale(1); }

input[type="checkbox"] + label {
    position: relative;
    display: inline-block;
    overflow: hidden;
    text-indent: -9999px;
    background: #ccc;
    width: 60px;
    height: 30px;
    border-radius: 100px;
    cursor: pointer;
    transition: all 0.3s cubic-bezier(1, 0.1, 0, 0.9); }
input[type="checkbox"] + label:before {
    content: '';
    position: absolute;
    display: block;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: #0288D1;
    border-radius: 100px;
    transition: all 0.3s cubic-bezier(1, 0.1, 0, 0.9) 0.1s;
    transform: translateZ(0) scale(0); }
input[type="checkbox"] + label:after {
    content: '';
    position: absolute;
    top: 2px;
    left: 2px;
    display: block;
    height: 26px;
    width: 26px;
    background: white;
    border-radius: 100%;
    box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.2);
    transition: all 0.3s cubic-bezier(1, 0.1, 0, 0.9);
    transform: translateZ(0) translateX(0); }

input[type="checkbox"]:checked + label {
    background: #0288D1; }
input[type="checkbox"]:checked + label:after {
    left: calc(100% - 28px);
    transform: translateZ(0); }

body {
    overflow-x: hidden; }

.form-control:focus {
    box-shadow: none; }

.primary-bg {
    background: #f7fbff; }

button#gateway-auth-setting-button{
    font-size: 15px;
    color: #fff !important;
    background: #5a82c2;
    border-radius: 30px;
    padding: 6px 20px;
    text-align: center;
    min-width: 122px;
    font-weight: 600;
    letter-spacing: 0.5px !important;
    transition: all .4s ease-in-out;
    height: auto !important;
    line-height: 26px !important;
}
button#gateway-auth-setting-button {
    background-color: #12c112;
    border-color: #12c112;
}
button#gateway-auth-setting-button:hover {
    background: #12c112;
    border-color: #12c112;
}

.mc__journey_modal .select2-container--default .select2-selection--multiple,
.mc__journey_modal .select2-container--default .select2-selection--single,
.mc__journey_modal input {
    border: 1px solid #c8c8c8 !important;
    /*padding-left: 10px !important;*/
}
.mc__journey_modal .select2-container--default .select2-selection--multiple:focus,
.mc__journey_modal .select2-container--default .select2-selection--single:focus,
.mc__journey_modal input:focus {
    border-color: #c8c8c8 !important;
}

.mc__journey_modal .select2-container {
    width: 100% !important;
}
.mc__journey_modal label {
    font-weight: 500 !important;
}
.mc__journey_modal {
    background: rgba(154, 156, 155, .55);
    font-family: Roboto, sans-serif;
}
.mc__journey_mode_mBody {
    padding: 25px;
}
.modal .mc__journey_mContent {
    border-radius: 20px;
    box-shadow: 0 0 15px #fefefc00;
    background: #fefefc;
}
.modal .modal-content .mc__journey_mode_mFooter {
    padding: 15px 25px;
}
.modal .mc__journey_mode_mDialog {
    max-width: 980px;
}
.bdrs4px {
    border-radius: 4px !important;
}
.bdrs4px2 {
    border-radius: 4px !important;
    border-top-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
}
button:focus {
    outline: 0;
}

.category_select .clickSelect {
    cursor: pointer;
}

.category_select .clickSelect:hover,  .category_select .clickSelect.active{
    background: #10BC41;
}

.bdrs4pxALT {
    border-radius: 4px !important;
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.modal .modal-content.mc__journey_mContent .modal-header {
    display: block;
    text-align: center;
}
.mc__action_journey_form_body h2{
    font-size: 20px !important;
    font-family: Roboto, sans-serif !important;
    font-weight: 400;
}
.form-group .mc__profile-image {
    font-weight: 400;
    margin-bottom: 10px;
}
.modal.fade .mc__journey_mode_mDialog {
    transform: translate(0, -50%);
    top: 50%;
    margin: 0 auto;
}
.mc__email-provide p{
    font-size: 16px;
}
.mc__email-provide h1{
    font-size: 22px;
    font-weight: 400 !important;
    margin-bottom: 10px !important;
}
.mc__email_provider {
    margin-bottom: 30px;
    border-bottom: 1px solid #ebedf2;
}
.m-portlet__foot.m-portlet__no-border.m-portlet__foot--fit {
    margin-top: 10px;
}
.modal.fade .mc__journey_mode_mBody {
    max-height: 80vh;
    overflow-y: auto;
}

@media (max-width: 767px) {
    .mc__journey_mode_mBody {
        padding: 15px !important;
    }
    .col-md-12.border.p-4.mb-2.border-top-0.bdrs4px2,
    div#m_accordion_2_item_1_head,
    .m-accordion__item-content {
        padding: 10px !important;
    }
    .mc__action_journey_form_body h2 {
        font-size: 17px !important;
    }
    #progressbar {
        margin-top: 15px;
    }
}
